curl --request GET \
--url https://developersandbox-api.flutterwave.com/virtual-accounts/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": "",
"amount": 1000,
"account_number": "7824822527",
"reference": "htuy68787hvhyff454",
"account_bank_name": "WEMA BANK",
"account_type": "static",
"status": "active",
"account_expiration_datetime": "2025-12-03T13:54:21.546559974Z",
"note": "Please make a bank transfer to James Burgers",
"customer_id": "cus_J0PvwvJB2n",
"created_datetime": "2024-12-03T13:54:21.546559974Z",
"meta": {},
"customer_reference": "AEGP2345",
"currency": "NGN"
}
}Retrieve a virtual account
curl --request GET \
--url https://developersandbox-api.flutterwave.com/virtual-accounts/{id} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "<string>",
"data": {
"id": "",
"amount": 1000,
"account_number": "7824822527",
"reference": "htuy68787hvhyff454",
"account_bank_name": "WEMA BANK",
"account_type": "static",
"status": "active",
"account_expiration_datetime": "2025-12-03T13:54:21.546559974Z",
"note": "Please make a bank transfer to James Burgers",
"customer_id": "cus_J0PvwvJB2n",
"created_datetime": "2024-12-03T13:54:21.546559974Z",
"meta": {},
"customer_reference": "AEGP2345",
"currency": "NGN"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
12 - 255ID of the virtual account.
"va_EFAHCzELJb"
Was this page helpful?